#include "clipstd.h"	/* 標準ヘッダ取り込み */
#include "clipmisc.h"	/* その他いろいろ */
#include "clipscan.h"	/* コールバックを用いたscanfの実装 */
#include "clipstr.h"	/* ユーティリティ：文字列操作 */
#include "clipcrc.h"	/* CRC計算 */
#include "cliplot.h"	/* 抽選処理 */
/****************************************************************************
 *	Boehm GC
 ****************************************************************************/
//#include "gc.h"
#include "leak_detector.h"
/****************************************************************************
 *	cliplibc.c
 ****************************************************************************/
//#define MAX_PATH  _MAX_PATH	//_MAX_PATH ⇒STDLIB.H,MAX_PATH⇒WINDEF.H
#define MAX_DRIVE _MAX_DRIVE	//_MAX_DRIVE⇒STDLIB.H
#define MAX_DIR   _MAX_DIR	//_MAX_DIR  ⇒STDLIB.H
#define MAX_FNAME _MAX_FNAME	//_MAX_FNAME⇒STDLIB.H
#define MAX_EXT   _MAX_EXT	//_MAX_EXT  ⇒STDLIB.H
/*--------------------------------------------------------------------------*/
char* strcasestr(const char* s1, const char* s2);
size_t strnlen(const char* string, size_t n);
#ifndef GC_LEAK_DETECTOR_H	//Boehm GCのleak_detector.hをインクルードしている場合は、定義が重複するのでここでは定義しない。
char* strndup(const char* string, size_t n);
#endif//GC_LEAK_DETECTOR_H	//Boehm GCのleak_detector.hをインクルードしている場合は、定義が重複するのでここでは定義しない。
int strcasecmp(const char* s1, const char* s2);
int strncasecmp(const char* s1, const char* s2, size_t n);
char* strsep(char** stringp, const char* delim);
size_t strlcpy(char* dst, const char* src, size_t size);
size_t strlcat(char* dst, const char* src, size_t size);
int ismbblead(int c);
int ismbbtrail(int c);
int isblank(int c);
size_t malloc_usable_size(void* ptr);
/****************************************************************************
 *	clipprnt.c
 ****************************************************************************/
int scprintf(const char* fmt, ...);
int vscprintf(const char* fmt, va_list ap);
int asprintf(char** strp, const char* fmt, ...);
int vasprintf(char** strp, const char* fmt, va_list ap);
/****************************************************************************
 *	clipscan.c
 ****************************************************************************/
int vscanf(const char* fmt, va_list ap);
int vsscanf(const char* str, const char* fmt, va_list ap);
int vfscanf(FILE* stream, const char* fmt, va_list ap);
/****************************************************************************
 *	getline.c
 ****************************************************************************/
/*ssize_t*/int getline(char** lineptr, size_t* n, FILE* stream);
/*ssize_t*/int getdelim(char** lineptr, size_t* n, int delim, FILE* stream);
